import React from 'react';
import { Modal, View, Text, StyleSheet, TouchableOpacity, ScrollView } from 'react-native';

const ModalTerminosPrivacidad = ({ visible, onClose }) => {
  return (
    <Modal transparent={true} animationType="slide" visible={visible}>
      <View style={styles.modalContainer}>
        <View style={styles.modalContent}>
          <ScrollView>
          <Text style = {styles.TextTitl}>{"\n\n"}Aviso de Privacidad{"\n"}
            FECHA DE ÚLTIMA ACTUALIZACIÓN: ENERO 2024.</Text>
            <Text style = {styles.TextCuerpo}>I. Identificación del responsable.{"\n"}
            Le informamos que la Aplicación Escuelas y Entornos Seguros tratará los datos personales que 
            Usted proporcione en términos del presente Aviso de Privacidad (en lo sucesivo “Aviso”).{"\n\n"}
            II. Datos personales que recabamos.{"\n"}
            Los datos personales que recabaremos serán aquellos que usted haya incluido en su perfil 
            con la que ingreso y esté habilitada en la aplicación, y serán tratados y resguardados 
            con base en los principios establecidos en la legislación aplicable, los cuales son: 
            licitud, consentimiento, información, calidad, finalidad, lealtad, proporcionalidad y responsabilidad.{"\n\n"}
            III. Finalidades del tratamiento de sus datos personales.{"\n"}
            La aplicación recaba sus datos personales con el objeto de utilizarlos para los siguientes fines:
            a) Obtener información y datos estadísticos de hábitos de navegación
            b) Identificar perfiles que ingresan a la aplicación
            c) Acreditar los reportes  que se envíen a las dependencias correspondientes.{"\n\n"}
            IV.Medios para limitar el uso o divulgación de sus Datos Personales.{"\n"}
            Hacemos de su conocimiento que sus datos personales sensibles serán resguardados bajo estrictas 
            medidas de seguridad administrativas, técnicas y físicas las cuales han sido implementadas, 
            en términos del Reglamento, con el objeto de proteger y garantizar sus datos personales contra daño, 
            pérdida, alteración, destrucción o el uso, acceso o tratamiento no autorizados. 
            A fin de garantizar la seguridad y confidencialidad adecuadas de los datos personales, 
            aplicamos las siguientes medidas de seguridad:{"\n\n"}(a) Cifrado de datos en tránsito; 
            {"\n"}(b) Controles de autenticación segura de usuarios; {"\n"}(c) Repositorio de Datos; 
            {"\n"}(d) Soluciones de monitorización de red.
          </Text>
          </ScrollView>
          <TouchableOpacity onPress={onClose} style={styles.closeButton}>
            <Text style={styles.closeButtonText}>Cerrar</Text>
          </TouchableOpacity>
        </View>
      </View>
    </Modal>
  );
};

const styles = StyleSheet.create({
  modalContainer: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
  },
  modalContent: {
    backgroundColor: 'white',
    padding: 20,
    borderRadius: 30,
    elevation: 5,
    width: 365
  },
  closeButton: {
    marginTop: 10,
    alignSelf: 'flex-end',
    backgroundColor: "#6ea9a8",
    padding: 15,
    borderRadius:15,
    right: 125,
    top: -25
  },
  closeButtonText: {
    color: 'white',
  },
  TextTitl: {
    textAlign: "center",
    fontSize: 15,
  },
  TextCuerpo: {
    textAlign: "justify",
  },
});

export default ModalTerminosPrivacidad;