import React from "react";
import { Image, SafeAreaView, StyleSheet, Text, View, Dimensions } from "react-native";
import BotonReporte from "../Componentes/BotonReporte";

//importacion de youtbe 
import Youtube from 'react-native-youtube-iframe'
import { StatusBar } from "expo-status-bar";

const AcosoInfantil = ({navigation}) => {
    const windowWidth = Dimensions.get('window').width;
    const windowHeight = Dimensions.get('window').height;

    return(
        <SafeAreaView style = {styles.Contenedor}>
            <StatusBar></StatusBar>
            <Image style = {[styles.ImgTil, {width: windowWidth * 0.45, height: windowHeight * 0.2}]}
            source={require("../assets/FigTitulos/AI.png")}
            />

            <View style = {styles.VidTres}>
            <Youtube
            videoId='pyYRtHLBqws'
            height={250}
            width={290}
            />
            </View>

            <View style = {styles.VidDos}>
            <Youtube
            videoId='WRvh2e19Dbw'
            height={250}
            width={290}
            />
            </View>

            <View style = {styles.VidUno}>
            <Youtube
            videoId='BIziSaC-Tfc'
            height={250}
            width={290}
            />
            </View> 

            

            <Text style = {styles.TextUno}>¡Hey! ¿Necesitas{"\n"}
            ayuda para reportar?{"\n"}
            Presiona el boton de ayuda
            </Text>

            <BotonReporte onPress={() => {navigation.navigate("Reportes")}}/>

        </SafeAreaView>
    )
}

const styles =  StyleSheet.create({
    Contenedor: {
        backgroundColor: "#519ab4",
        flex: 1,
        justifyContent: "center",
        paddingHorizontal: 20,
    },
    ImgTil: {
        resizeMode: "center",
        alignSelf: "center",
        top: "10%"
    },
    VidTres: {
        alignItems: "center",
        top: "8%",
    },
    VidDos: {
        top: "1%",
        alignItems: "center",
    },
    VidUno: {
        alignItems: "center",
        top: "-6%",
    },
    TextUno: {
        color: "#D9D9D9",
        fontSize: 15,
        fontWeight: "900",
        alignSelf: "center",
        top:"-13%",
        right:"15%"
    },
})

export default AcosoInfantil;
