import React from "react";
import { Image, SafeAreaView, ScrollView, StyleSheet, Text, Dimensions } from "react-native";

const Colaboradores = () => {
    const windowWidth = Dimensions.get('window').width;
    const windowHeight = Dimensions.get('window').height;
    return(
        <SafeAreaView style = {styles.Contenedor}>
            <ScrollView style = {styles.containerscroll}>
                <Image style = {[styles.ImgTil,{width: windowWidth * 0.87, height: windowHeight * 0.2}]}
                source={require("../assets/FigTitulos/CO.png")}
                />
                    <Text style = {styles.TextUno}>Agradecemos a los siguientes investigadores e instituciones su trabajo colaborativo para el logro de esta aplicación:{'\n\n'}</Text>
                    <Text style = {styles.TextUno}>Directora y creadora del proyecto:{'\n'}
                                            Dra. Claudia Lizbet Soto Casillas{'\n\n'}
                                            Colaboradores:{'\n'}
                                            Dr. Hamurabi Gamboa Rosales{'\n'}
                                            Mtra. Lorena Lamas Arroyo{'\n'}
                                            Dra. Yésica Argentina López Galván{'\n'} 
                                            Dr. Moises Antúnez García{'\n'}
                                            Dr. Carlos Cordova Serna{'\n'}
                                            Dr. Aldo Esaú Rodriguez Guevara{'\n'}
                                            Mtro. Sergio Rodriguez Ayala{'\n'}
                                            Mtro. José de Jesús Antúnez García{'\n'}
                                            Mtro. Blanca Esthela Santana Delgado{'\n\n'}
                                            Labsol:{'\n'}
                                            Dr. Juan Rubén Delgado Contreras{'\n'}
                                            Ing. Alfonso Rafael Solis Rangel{'\n\n'}
                                            Desarrollador:{'\n'}
                                            Eduardo Daniel Raudales Raudales{'\n\n'}
                                            Y a las instituciones:
                                            
                                            </Text>
                    <Image style = {styles.ImgeUno}
                    source={require("../assets/FigIcon/InconColabora/BENMAC.png")}
                    />
                    <Image style = {styles.ImgeDos}
                    source={require("../assets/FigIcon/InconColabora/LabSol.png")}
                    />
                    <Image style = {styles.ImgeDoss}
                    source={require("../assets/FigIcon/InconColabora/GPLv3.png")}
                    />
                    <Image style = {styles.ImgeTres}
                    source={require("../assets/FigIcon/InconColabora/SIPINNA.png")}
                    />
                    <Image style = {styles.ImgeTress}
                    source={require("../assets/FigIcon/InconColabora/Cozcyt.png")}
                    />
                    <Image style = {styles.ImgeCuatro}
                    source={require("../assets/FigIcon/InconColabora/ZigZag.png")}
                    />
                    <Image style = {styles.ImgeQuinta}
                    source={require("../assets/FigIcon/InconColabora/SDGDZ.png")}
                    />
                    <Image style = {styles.ImgeQuinta1}
                    source={require("../assets/FigIcon/InconColabora/EPEI.png")}
                    />
                    <Image style = {styles.ImgeSexta}
                    source={require("../assets/FigIcon/InconColabora/UVEG.png")}
                    />

                    <Text style = {styles.TextDos}>¡Hagamos un lugar seguro todos juntos!</Text>
           </ScrollView> 
        </SafeAreaView>
    )
}

const styles = StyleSheet.create({
    Contenedor: {
        backgroundColor: "#519ab4",
        flex: 1,
        justifyContent: "flex-start",
        paddingHorizontal: 20,
        position: "relative",
    },
    containerscroll: {flex: 1,},
    ImgTil: {
        resizeMode: "center",
        alignSelf: "center"
    },
    TextUno: {
        textAlign: "center",
        color:"#D9D9D9",
        fontSize: 13,
        top: "-1%",
        fontWeight: "600",
    },
    TextDos: {
        textAlign: "center",
        color:"#D9D9D9",
        top: "-5%",
        fontSize:16,
        fontWeight: "600",
    },
    ImgeUno: {              //BenMac
        resizeMode: "center",
        alignSelf: "center",
        height: 115,
        top: "1%",
    },
    ImgeQuinta: {           //secreteria general
        resizeMode: "contain",
        alignSelf: "center",
        width:200,
        top: "-17%",
    },
    ImgeTres: {            //Sipinna
        resizeMode: "contain",
        alignSelf: "center",
        height: 115,
        top: "1%",
        width:180
    },
    ImgeTress: {            //Cozcyt
        resizeMode: "contain",
        top:"3%",
        alignSelf: "center",
    },
    ImgeCuatro: {           //ZIgZag
        resizeMode: "contain",
        alignSelf: "center",
        width:200,
        top: "5%",
    },
    ImgeDos: {              //LabSol
        resizeMode: "center",
        alignSelf: "center",
        height: 100,
        top: "26%",
    }, 
    ImgeQuinta1: {          //Estudios y procesos
        resizeMode: "center",
        alignSelf: "center",
        width:150,
        top: "0.1%",
    },
    ImgeSexta: {            //UVEG
        resizeMode: "center",
        alignSelf: "center",
        width:200,
        top: "-11%"
    },
    ImgeDoss: {              //GPLv3
        resizeMode: "center",
        alignSelf: "center",
        height: 30,
        top: "48%",
        left: "40%"
    },
})

export default Colaboradores;
